﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using HaloMap;

namespace Gravemind
{
    public partial class ScriptReferenceSwapper : Form
    {
        MapForm form;
        ScriptReference newscript = new ScriptReference();
        int Index;

        public ScriptReferenceSwapper(MapForm map, int Index)
        {
            InitializeComponent();
            this.form = map;
            this.Index = Index;
        }

        private void ScriptReferenceSwapper_Load(object sender, EventArgs e)
        {
            foreach (ScriptReference s in form.Map.ScriptReferences)
            {
                comboBox1.Items.Add(s.Reference);
            }
            comboBox1.Sorted = true;
            comboBox1.SelectedItem = form.Map.SelectedTag.ScriptReferences[Index].Reference;
        }

        private void buttonX1_Click(object sender, EventArgs e)
        {
            newscript.Reference = comboBox1.SelectedItem.ToString();
            newscript.Index = form.Map.FindScript(newscript.Reference);
            newscript.Write(form.Map);
            form.LoadScriptReferences1();
            MessageBox.Show("Done!");
            this.Close();
        }

        private void buttonX2_Click(object sender, EventArgs e)
        {
            this.Close();
        }
    }
}
