﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace HaloMap
{
    public class Index
    {
        #region Fields
        public int IndexHeaderSize;
        public int Const120;
        public int TagStart;
        public int TagStartModifier;
        public int PrimaryMagic;
        public int SecondaryMgicConstant;
        public int SecondaryMagic;
        public int TagCount;
        #endregion

        #region Methods
        public void Read(Map map)
        {
            map.br.BaseStream.Position = map.Header.IndexOffset;

            //IndexHeaderLength
            IndexHeaderSize = map.br.ReadInt32();

            //Const120
            Const120 = map.br.ReadInt32();

            //Const1472
            TagStartModifier = map.br.ReadInt32();

            //TagStart
            TagStart = TagStartModifier + map.Header.IndexOffset;

            //MapMagic = ScnrID - (IndexOffset + 32)
            PrimaryMagic = map.br.ReadInt32() - (map.Header.IndexOffset + 32);

            //ObjectCount
            map.br.BaseStream.Position += 8;

            TagCount = map.br.ReadInt32();

            //SecondaryMapMagic = MatgRawMetaOffset - (IndexOffset + IndexSize)
            map.br.BaseStream.Position = TagStart + 8;
            SecondaryMgicConstant = map.br.ReadInt32();
            SecondaryMagic = SecondaryMgicConstant - (map.Header.IndexOffset + map.Header.IndexSize);
        }
        #endregion
    }
}
